Description

Support Anfrage:

ich bin gerade dabei die AADC Filter von adtf 3.3.0 zu adtf 3.5 zu portieren.

Nachdem ich beim Filter FisheyeUndistortion alle Änderungen vorgenommen habe kommt beim Initialisieren einer Session mit dem

geänderten Filter der angehängte Fehler.

Was ist das Problem mit der property variable? Das File basler_fisheye_intrinsic_calib.yml befindet sich im gleichen Ordner wie die

.adtfplugin und .plugindescription . Das war auch die gleiche Konfiguration wie beim ursprünglichen Filter. Auch an der Verwendung

der Funktion RegisterPropertyVariable() wurde nichts verändert. Was ist mein Fehler?

Lösung:

Die Fehlermeldung bezieht sich auf eine Property die nicht gefunden werden kann.

Genauer: Property could not be set: trigger/calibration file

Im Filter bzw beim Plugin steht für die Property allerdings nur noch "calibration file". Das "trigger/" ist entfallen.

In der Konfiguration ist diese Property aber noch mit "trigger/calibration file" hinterlegt.

Daher der Fehler.

Vom Anwender dadurch behoben, das der Filter einmal gelöscht wurde und dann wieder neu hinzugefügt wurde.

History

#1 - 2019-04-29 15:47 - hidden

- Project changed from Public Support to 25

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::FilterSDK

- Customer set to ACADEMIC

- Affected Products ADTF 3.3.0, ADTF 3.5.0 added

- Platform Ubuntu 16.04 64bit added

#2 - 2019-04-29 16:06 - hidden

Die Fehlermeldung bezieht sich auf eine Property die nicht gefunden werden kann.

Genauer: Property could not be set: trigger/calibration file

Im Filter bzw beim Plugin steht allerdings nur noch "calibration file". Das "trigger/" ist entfallen.

In der Konfiguration ist diese Property aber noch mit "trigger/calibration file" hinterlegt.

Daher der Fehler.

Vom Anwender dadurch behoben, das der Filter einmal gelöscht wurde und dann wieder neu hinzugefügt wurde.

#3 - 2019-04-29 16:20 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#4 - 2019-07-19 08:15 - hidden

- Project changed from 25 to Public Support
- Subject changed from Fehler beim Umbauen der Filter von adtf 3.3.0 zu 3.5 to Problems migrating from ADTF 3.3 to ADTF 3.5

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
